/// <reference path="../../Bodypart.ts" />
/// <reference path="../../Humanoid/Humanoid.ts" />
/// <reference path="../SexStick.ts" />
/// <reference path="../SexHole.ts" />
/// <reference path="../../../Measure.ts" />
class HumanoidArms extends Bodypart {
    public sorenessWeight = Bodypart.WEIGHT_LOW;
    public genderWeight = Bodypart.WEIGHT_MEDIUM;
    public slots : Array<number> = [Humanoid.SLOT_ARMS];

    public get sluttinessWeight() {
        if ((<Humanoid> this.getPartOne()).isMale()) {
            return Bodypart.WEIGHT_HIGHEST;
        } else {
            return Bodypart.WEIGHT_MEDIUM;
        }
    }

    public set sluttinessWeight(val) {}

    public getSluttiness () {
        if ((<Humanoid> this.getPartOne()).isMale()) {
            return this.getGenderValue();
        } else {
            return 100 - this.getGenderValue();
        }
    }

    public getDescription () {
        let humanoid = <Humanoid> this.getPartOne();
        let str = humanoid.getStat(Attributes.Strength);
        if (str > 4) {
            return "Your arms and legs are ridiculously huge, showing off just how strong you are.";
        } else if (str > 2) {
            return "Your arms and legs are pretty big because of your muscles.";
        } else if (str == 2) {
            return "";
        } else {
            return "You look like you don't even lift.";
        }
    }

    public getGenderValue () {
        let humanoid = <Humanoid> this.getPartOne();
        let str = humanoid.getStat(Attributes.Strength);
        return 20 * str;
    }
}